package cn.iocoder.yudao.module.contract.service.impl;

import cn.iocoder.yudao.util.DateUtils;
import cn.iocoder.yudao.module.contract.entity.ContractHistory;
import cn.iocoder.yudao.module.contract.mapper.ContractHistoryMapper;
import cn.iocoder.yudao.module.contract.service.IContractHistoryService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 签署历史Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-19
 */
@Service
public class ContractHistoryServiceImpl implements IContractHistoryService
{
    @Autowired
    private ContractHistoryMapper contractHistoryMapper;

    /**
     * 查询签署历史
     *
     * @param id 签署历史主键
     * @return 签署历史
     */
    @Override
    public ContractHistory selectContractHistoryById(Long id)
    {
        return contractHistoryMapper.selectContractHistoryById(id);
    }

    /**
     * 查询签署历史列表
     *
     * @param contractHistory 签署历史
     * @return 签署历史
     */
    @Override
    public IPage<ContractHistory> selectContractHistoryList(Page<ContractHistory> page, ContractHistory contractHistory)
    {
        return contractHistoryMapper.selectContractHistoryList(page,contractHistory);
    }

    /**
     * 新增签署历史
     *
     * @param contractHistory 签署历史
     * @return 结果
     */
    @Override
    public int insertContractHistory(ContractHistory contractHistory)
    {
        return contractHistoryMapper.insertContractHistory(contractHistory);
    }

    /**
     * 修改签署历史
     *
     * @param contractHistory 签署历史
     * @return 结果
     */
    @Override
    public int updateContractHistory(ContractHistory contractHistory)
    {
        contractHistory.setUpdateTime(DateUtils.getNowDate());
        return contractHistoryMapper.updateContractHistory(contractHistory);
    }

    /**
     * 批量删除签署历史
     *
     * @param ids 需要删除的签署历史主键
     * @return 结果
     */
    @Override
    public int deleteContractHistoryByIds(Long[] ids)
    {
        return contractHistoryMapper.deleteContractHistoryByIds(ids);
    }

    /**
     * 删除签署历史信息
     *
     * @param id 签署历史主键
     * @return 结果
     */
    @Override
    public int deleteContractHistoryById(Long id)
    {
        return contractHistoryMapper.deleteContractHistoryById(id);
    }
}
